Name:          java-xmlbuilder
Version:       0.6
Release:       1%{?dist}
Summary:       XML Builder Java library for creating XML documents
Group:         Development/Libraries
License:       ASL 2.0
Url:           http://code.google.com/p/java-xmlbuilder/
# svn export http://java-xmlbuilder.googlecode.com/svn/tags/java-xmlbuilder-0.6
# tar czf java-xmlbuilder-0.6-src-svn.tar.gz java-xmlbuilder-0.6
Source0:       %{name}-%{version}-src-svn.tar.gz
# remove newline (\n) character
Patch0:        %{name}-0.6-fix-test.patch

BuildRequires: java-devel
BuildRequires: sonatype-oss-parent

BuildRequires: base64
# test deps
BuildRequires: junit

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      base64

Requires:      java
BuildArch:     noarch

%description
XML Builder is a utility that creates simple XML documents using relatively
sparse Java code.

It is intended to allow for quick and painless creation of XML documents 
where you might otherwise be tempted to use concatenated strings, and 
where you would rather not face the tedium and verbosity of coding with JAXP.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
# Unwanted
%pom_remove_plugin :maven-gpg-plugin
# Unwanted - disable source jar
%pom_remove_plugin :maven-source-plugin
# Unwanted - disable javadoc jar
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-javadoc-plugin']/pom:executions"
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-javadoc-plugin'] " "
    <configuration>
      <encoding>UTF-8</encoding>
      <quiet>true</quiet>
    </configuration>"

# Fix CRLF
sed -i 's/\r//' LICENSE-2.0.txt

%build

mvn-rpmbuild package javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE-2.0.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE-2.0.txt

%changelog
* Sun Apr 28 2013 gil cattaneo <puntogil@libero.it> 0.6-1
- update to 0.6

* Fri Apr 26 2013 gil cattaneo <puntogil@libero.it> 0.4-2
- install upstream license and notice files

* Mon Jul 02 2012 gil cattaneo <puntogil@libero.it> 0.4-1
- initial rpm